Lintian Fixes - beads

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/beads lintian-fixes

Summary

Diff

=== modified file 'debian/changelog'
--- a/debian/changelog	2019-03-13 13:09:22 +0000
+++ b/debian/changelog	2019-10-26 20:02:39 +0000
@@ -1,3 +1,10 @@
+beads (1.1.18+dfsg-4) UNRELEASED; urgency=medium
+
+  * Update standards version to 4.4.1, no changes needed.
+  * Bump debhelper from old 11 to 12.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Sat, 26 Oct 2019 20:02:14 +0000
+
 beads (1.1.18+dfsg-3) unstable; urgency=medium
 
   * Add libquazip5-headers Build-Depends explicitly which seems to have

=== removed file 'debian/compat'
--- a/debian/compat	2018-02-19 12:26:59 +0000
+++ b/debian/compat	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
-11

=== modified file 'debian/control'
--- a/debian/control	2019-03-13 13:01:58 +0000
+++ b/debian/control	2019-10-26 20:02:39 +0000
@@ -4,14 +4,14 @@
            Olivier Langella <olivier.langella@moulon.inra.fr>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                qtbase5-dev,
                qttools5-dev,
                libodsstream-qt5-dev,
                cimg-dev,
                libquazip5-headers
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/beads
 Vcs-Git: https://salsa.debian.org/med-team/beads.git
 Homepage: http://moulon.inra.fr/beads/beads.html

Run locally

Try this locally (using the lintian-brush package):

debcheckout beads
cd beads
lintian-brush

More details

Full run details